NX Open C++ Reference Guide
|
This class represents the builder to be used to create Pattern Geometry features <br> To create a new instance of this class, use @link Features::FeatureCollection::CreatePatternGeometryBuilder Features::FeatureCollection::CreatePatternGeometryBuilder @endlink <br>
Default values. More...
Public Member Functions | |
bool | CopyThreads () |
Returns the copy threads option. | |
NXOpen::SelectDisplayableObjectList * | GeometryToPattern () |
Returns the inputs for geometry to pattern such as bodies, faces, curves, datum planes, datum axes, points, datum coordinate systems etc... | |
bool | HideOriginal () |
Returns the hide original option. | |
bool | IsAssociative () |
Returns the associative option. | |
NXOpen::GeometricUtilities::PatternDefinition * | PatternService () |
Returns the Pattern Defintion service. | |
NXOpen::GeometricUtilities::PatternReferencePointServiceBuilder * | ReferencePoint () |
Returns the reference point service. | |
void | SetAssociative (bool isAssociative) |
Sets the associative option. | |
void | SetCopyThreads (bool isCopyThreads) |
Sets the copy threads option. | |
void | SetHideOriginal (bool isHideOriginal) |
Sets the hide original option. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
This class represents the builder to be used to create Pattern Geometry features <br> To create a new instance of this class, use @link Features::FeatureCollection::CreatePatternGeometryBuilder Features::FeatureCollection::CreatePatternGeometryBuilder @endlink <br>
Default values.
Property | Value |
---|---|
CopyThreads |
1 |
HideOriginal |
0 |
IsAssociative |
1 |
PatternService.AlongPathDefinition.XOnPathSpacing.NCopies.Value |
2 |
PatternService.AlongPathDefinition.XOnPathSpacing.SpaceType | |
PatternService.AlongPathDefinition.XPathOption | |
PatternService.AlongPathDefinition.YDirectionOption | |
PatternService.AlongPathDefinition.YOnPathSpacing.NCopies.Value |
1 |
PatternService.AlongPathDefinition.YPathOption | |
PatternService.AlongPathDefinition.YSpacing.NCopies.Value |
1 |
PatternService.AlongPathDefinition.YSpacing.PitchDistance.Value |
10 (millimeters part), 1 (inches part) |
PatternService.AlongPathDefinition.YSpacing.SpaceType | |
PatternService.AlongPathDefinition.YSpacing.SpanDistance.Value |
100 (millimeters part), 10 (inches part) |
PatternService.CircularDefinition.AngularSpacing.NCopies.Value |
12 |
PatternService.CircularDefinition.AngularSpacing.PitchAngle.Value |
30 |
PatternService.CircularDefinition.AngularSpacing.PitchDistance.Value |
10 (millimeters part), 1 (inches part) |
PatternService.CircularDefinition.AngularSpacing.SpaceType | |
PatternService.CircularDefinition.AngularSpacing.SpanAngle.Value |
360 (millimeters part), 360 (inches part) |
PatternService.CircularDefinition.AngularSpacing.UsePitchOption |
Angle |
PatternService.CircularDefinition.CreateLastStaggered |
true |
PatternService.CircularDefinition.HorizontalRef.RotationAngle.Value |
0 (millimeters part), 0 (inches part) |
PatternService.CircularDefinition.IncludeSeedToggle |
true |
PatternService.CircularDefinition.RadialSpacing.NCopies.Value |
1 |
PatternService.CircularDefinition.StaggerType |
None |
PatternService.HelixDefinition.AnglePitch.Value |
30 |
PatternService.HelixDefinition.CountOfInstances.Value |
6 |
PatternService.HelixDefinition.DirectionType |
Righthand |
PatternService.HelixDefinition.DistancePitch.Value |
10 (millimeters part), 0.4 (inches part) |
PatternService.HelixDefinition.HelixPitch.Value |
50 (millimeters part), 2 (inches part) |
PatternService.HelixDefinition.HelixSpan.Value |
100 (millimeters part), 4 (inches part) |
PatternService.HelixDefinition.NumberOfTurns.Value |
2 |
PatternService.HelixDefinition.SizeOption |
CountAngleDistance |
PatternService.PatternFill.FillMargin.Value |
0 (millimeters part), 0 (inches part) |
PatternService.PatternFill.FillOptions |
None |
PatternService.PatternFill.SimplifiedBoundaryToggle |
False |
PatternService.PatternOrientation.AlongOrientationOption |
NormalToPath |
PatternService.PatternOrientation.CircularOrientationOption |
FollowPattern |
PatternService.PatternOrientation.FollowFaceProjDirOption |
PatternPlaneNormal |
PatternService.PatternOrientation.GeneralOrientationOption | |
PatternService.PatternOrientation.HelixOrientationOption |
FollowPattern |
PatternService.PatternOrientation.LinearOrientationOption | |
PatternService.PatternOrientation.MirrorOrientationOption |
FollowPattern |
PatternService.PatternOrientation.OrientationOption (deprecated) | |
PatternService.PatternOrientation.PolygonOrientationOption |
FollowPattern |
PatternService.PatternOrientation.SpiralOrientationOption |
FollowPattern |
PatternService.PatternType |
Linear |
PatternService.PolygonDefinition.NumberOfSides.Value |
6 |
PatternService.PolygonDefinition.PolygonSizeOption |
Inscribed |
PatternService.PolygonDefinition.PolygonSpacing.NCopies.Value |
4 |
PatternService.PolygonDefinition.PolygonSpacing.PitchDistance.Value |
25 (millimeters part), 1 (inches part) |
PatternService.PolygonDefinition.PolygonSpacing.SpaceType | |
PatternService.PolygonDefinition.PolygonSpacing.SpanAngle.Value |
360 |
PatternService.PolygonDefinition.RadialSpacing.NCopies.Value |
1 |
PatternService.PolygonDefinition.RadialSpacing.PitchDistance.Value |
25 (millimeters part), 1 (inches part) |
PatternService.PolygonDefinition.RadialSpacing.SpanDistance.Value |
100 (millimeters part), 4 (inches part) |
PatternService.RectangularDefinition.CreateLastStaggered |
true |
PatternService.RectangularDefinition.SimplifiedLayoutType |
Square |
PatternService.RectangularDefinition.StaggerType |
None |
PatternService.RectangularDefinition.XSpacing.NCopies.Value |
2 |
PatternService.RectangularDefinition.YSpacing.NCopies.Value |
1 |
PatternService.SpiralDefinition.DirectionType |
Lefthand |
PatternService.SpiralDefinition.NumberOfTurns.Value |
1 (millimeters part), 1 (inches part) |
PatternService.SpiralDefinition.RadialPitch.Value |
50 (millimeters part), 2 (inches part) |
PatternService.SpiralDefinition.SizeSpiralType |
NumberOfTurns |
PatternService.SpiralDefinition.TotalAngle.Value |
360 (millimeters part), 360 (inches part) |
Created in NX9.0.0.
bool NXOpen::Features::PatternGeometryBuilder::CopyThreads | ( | ) |
Returns the copy threads option.
'true' if the threads on the input body also need to be patterned 'false' if the threads need not be patterned along with the input body Note: the copy threads option can be 'true' only when the associative option is also set to 'true'
Created in NX9.0.0.
License requirements : None
NXOpen::SelectDisplayableObjectList* NXOpen::Features::PatternGeometryBuilder::GeometryToPattern | ( | ) |
Returns the inputs for geometry to pattern such as bodies, faces, curves, datum planes, datum axes, points, datum coordinate systems etc...
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::PatternGeometryBuilder::HideOriginal | ( | ) |
Returns the hide original option.
'true' if the input to the pattern geometry needs to be hidden 'false' if the input to pattern geometry need not be hidden Note: false does not indicate the inputs that were hidden will be unhidden.
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::PatternGeometryBuilder::IsAssociative | ( | ) |
Returns the associative option.
'true' if pattern geometry feature needs to be created 'false' if only the outputs of the pattern geometry feature is required.
Created in NX9.0.0.
License requirements : None
NXOpen::GeometricUtilities::PatternDefinition* NXOpen::Features::PatternGeometryBuilder::PatternService | ( | ) |
Returns the Pattern Defintion service.
Inputs for different transformation types
Created in NX9.0.0.
License requirements : None
NXOpen::GeometricUtilities::PatternReferencePointServiceBuilder* NXOpen::Features::PatternGeometryBuilder::ReferencePoint | ( | ) |
Returns the reference point service.
It contains the point of reference that will be used as the origin for creating pattern based transformations.
Created in NX9.0.0.
License requirements : None
void NXOpen::Features::PatternGeometryBuilder::SetAssociative | ( | bool | isAssociative | ) |
Sets the associative option.
'true' if pattern geometry feature needs to be created 'false' if only the outputs of the pattern geometry feature is required.
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
isAssociative | isassociative |
void NXOpen::Features::PatternGeometryBuilder::SetCopyThreads | ( | bool | isCopyThreads | ) |
Sets the copy threads option.
'true' if the threads on the input body also need to be patterned 'false' if the threads need not be patterned along with the input body Note: the copy threads option can be 'true' only when the associative option is also set to 'true'
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
isCopyThreads | iscopythreads |
void NXOpen::Features::PatternGeometryBuilder::SetHideOriginal | ( | bool | isHideOriginal | ) |
Sets the hide original option.
'true' if the input to the pattern geometry needs to be hidden 'false' if the input to pattern geometry need not be hidden Note: false does not indicate the inputs that were hidden will be unhidden.
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
isHideOriginal | ishideoriginal |